## qtdemux qtdemux |

## Types and Values

struct | GstQTDemux

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstQTDemux

## Description

Demuxes a .mov file into raw or compressed audio and/or video streams.

This element supports both push and pull-based scheduling, depending on the capabilities of the upstream elements.

### Example launch line

    1
    gst-launch-1.0 filesrc location=test.mov ! qtdemux name=demux  demux.audio_0 ! queue ! decodebin ! audioconvert ! audioresample ! autoaudiosink   demux.video_0 ! queue ! decodebin ! videoconvert ! videoscale ! autovideosink

Play (parse and decode) a .mov file and try to output it to an automatically detected soundcard and videosink. If the MOV file contains compressed audio or video data, this will only work if you have the right decoder elements/plugins installed.

## Synopsis

### Element Information

plugin | isomp4
author | David Schleef <ds@schleef.org>, Wim Taymans <wim@fluendo.com>
class | Codec/Demuxer

### Element Pads

name | sink
direction | sink
presence | always
details | video/quicktime
| video/mj2
| audio/x-m4a
| application/x-3gp

name | audio_%u
direction | source
presence | sometimes
details | ANY

name | subtitle_%u
direction | source
presence | sometimes
details | ANY

name | video_%u
direction | source
presence | sometimes
details | ANY

## Functions

## Types and Values

### struct GstQTDemux

    struct GstQTDemux;